testthat::test_that("dataset_odre fonctionne correctement et renvoie une error si le dataset n\'existe pas", {
  obj <- dataset_odre(x = "prod-region-annuelle-enr")
  
  testthat::expect_true(is.list(obj))
  testthat::expect_true(is.data.frame(obj$dataset))
  testthat::expect_true(is.data.frame(obj$dico_var))

  testthat::expect_error(dataset_odre(x = "prod-region-annuelle-enrrrr"))
})
